Upstash Documentation

List Waiters

List all active waiters for a specific event ID.

Returns information about all workflow runs that are currently waiting for the specified event.

1 min read
get/v2/waiters/{eventId}
Request example
Response
get/v2/waiters/{eventId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

eventIdstringrequired#
The event ID to list waiters for.

Responses

application/json
List of active waiters
urlstring#
The URL that is waiting for the event notification.
headersobject#
The HTTP headers to send with the notification.
Show child attributes
{key}string[]#
deadlineinteger#
The Unix timestamp in seconds when the wait operation times out.
timeoutBodystring#
The body to send if the wait times out.
timeoutUrlstring#
The URL to call if the wait times out.
timeoutHeadersobject#
The HTTP headers to send with the timeout callback.
Show child attributes
{key}string[]#